
TYPO3.Media - Feature # 46659

Status: Resolved Priority: Should have
Author: Benno Weinzierl Category:
Created: 2013-03-25 Assigned To: Benno Weinzierl
Updated: 2013-03-26 Due date:
Subject: ImageVariant should use original filename as filename instead of hash
Description

For SEO purposes the imageVariant should not use a cryptic hash as filename but instead use the filename of the original resource.

_Resources/Persistent/bf4ae4ef715ee8db89e721aca905e2109b3223b0/bf4ae4ef715ee8db89e721aca905e2109b3223b0.jpg
should be:
_Resources/Persistent/bf4ae4ef715ee8db89e721aca905e2109b3223b0/MyImageName.jpg

This is essential for example for google image search.

Associated revisions
Revision 80da7364 - 2013-03-25 18:13 - Benno Weinzierl

[FEATURE] Adjusted filename of ImageVariant

For SEO purposes the filename of the original image is
used for the ImageVariants instead of a cryptic hash.

Change-Id: Ib55722b06de596b4f1b715388b296607b2904c45
Resolves: #46659
Releases: master

History
#1 - 2013-03-25 18:04 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19272

#2 - 2013-03-25 18:11 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19273

#3 - 2013-03-25 18:15 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19274

#4 - 2013-03-26 15:38 - Benno Weinzierl
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:80da736412dc8e1b0ff875548de7d7101a865e34.
